Class StatusSearcher
java.lang.Object
com.atlassian.jira.issue.search.searchers.impl.AbstractInitializationSearcher
com.atlassian.jira.issue.search.searchers.impl.StatusSearcher
- All Implemented Interfaces:
IssueSearcher<SearchableField>
@InjectableComponent
public class StatusSearcher
extends AbstractInitializationSearcher
implements IssueSearcher<SearchableField>
-
Field Summary
Fields inherited from class com.atlassian.jira.issue.search.searchers.impl.AbstractInitializationSearcher
fieldReferenceFields inherited from interface com.atlassian.jira.issue.search.searchers.IssueSearcher
log -
Constructor Summary
ConstructorsConstructorDescriptionStatusSearcher(FieldVisibilityManager fieldVisibilityManager, ConstantsManager constantsManager, JqlOperandResolver operandResolver, VelocityRequestContextFactory velocityRequestContextFactory, ApplicationProperties applicationProperties, VelocityTemplatingEngine templatingEngine, WorkflowManager workflowManager, StatusResolver statusResolver, FieldFlagOperandRegistry fieldFlagOperandRegistry, PermissionManager permissionManager, JiraAuthenticationContext authenticationContext, WorkflowSchemeManager workflowSchemeManager) -
Method Summary
Modifier and TypeMethodDescriptionProvides an object that contains information about the Searcher.Provides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.Provides an object that will allow you to render the edit and view html for a searcher.Methods inherited from class com.atlassian.jira.issue.search.searchers.impl.AbstractInitializationSearcher
initMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface com.atlassian.jira.issue.search.searchers.IssueSearcher
init
-
Constructor Details
-
StatusSearcher
public StatusSearcher(FieldVisibilityManager fieldVisibilityManager, ConstantsManager constantsManager, JqlOperandResolver operandResolver, VelocityRequestContextFactory velocityRequestContextFactory, ApplicationProperties applicationProperties, VelocityTemplatingEngine templatingEngine, WorkflowManager workflowManager, StatusResolver statusResolver, FieldFlagOperandRegistry fieldFlagOperandRegistry, PermissionManager permissionManager, JiraAuthenticationContext authenticationContext, WorkflowSchemeManager workflowSchemeManager)
-
-
Method Details
-
getSearchInformation
Description copied from interface:IssueSearcherProvides an object that contains information about the Searcher.- Specified by:
getSearchInformationin interfaceIssueSearcher<SearchableField>- Returns:
- the search information provider for this searcher.
-
getSearchInputTransformer
Description copied from interface:IssueSearcherProvides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.- Specified by:
getSearchInputTransformerin interfaceIssueSearcher<SearchableField>- Returns:
- the search input handler for this searcher.
-
getSearchRenderer
Description copied from interface:IssueSearcherProvides an object that will allow you to render the edit and view html for a searcher. This also provides methods that indicate if the view and edit methods should be invoked.- Specified by:
getSearchRendererin interfaceIssueSearcher<SearchableField>- Returns:
- the search renderer for this searcher.
-